Package org.apache.storm.trident.util

## Class LRUMap<A,​B>

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<K,​V>
    - - java.util.LinkedHashMap<A,​B>
      - - org.apache.storm.trident.util.LRUMap<A,​B>

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<A,​B>`

      public class LRUMap<A,​B>
      extends LinkedHashMap<A,​B>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LRUMap​(int maxSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `removeEldestEntry​(Map.Entry<A,​B> eldest)` |

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### LRUMap

          public LRUMap​(int maxSize)

  - ### Method Detail

    - #### removeEldestEntry

          protected boolean removeEldestEntry​(Map.Entry<A,​B> eldest)

      Overrides:
        `removeEldestEntry` in class `LinkedHashMap<A,​B>`